import { BASE_URL } from '@/config'

const urlFn = v => BASE_URL + v
// 微信登录
// const GET_TOKEN = urlFn('/api/kmt/login/wxlogin/scanlogin')
const GET_TOKEN = urlFn('/api/kmt/login/wxlogin/newscanlogin')
// Uniconid登录
const GET_UUIONID_TOKEN = urlFn('/api/kmt/login/unionidlogin')
// 手机号验证吗登陆
const GET_PHONE_TOKEN = urlFn('/api/kmt/login/phoneLogin')
// 获取手机验证码
const GET_VERIFICATION_CODE = urlFn('/api/kmt/login/getVerificationCode')
// 获取用户信息
const GetInfo = urlFn('/api/kmt/correctSys/getMyInfo')
// 校区群管理员数据监控
const InfoWatch = urlFn('/api/kmt/correctSys/monitorTeacherList')
// 校区群管理员当天数据
const InfoWatchDay = urlFn('/api/kmt/correctSys/monitorOneDayList')
// 校区群管理员当月数据
const InfoWatchMoth = urlFn('/api/kmt/correctSys/monitorOneMonthList')
//查看老师批改作业列表
const TeacherHomeworkList = urlFn('/api/kmt/correctSys/teacherHomeworkList')
//可分配老师列表列表
const TeacherAllotList = urlFn('/api/kmt/correctSys/teacherAllotList')
//分配老师
const TeacherAllot = urlFn('/api/kmt/correctSys/teacherAllot')
// 分配未批改作业列表
const UnallotHomeworkList = urlFn('/api/kmt/correctSys/uncorrectHomeworkList')
// 查看老师详情
const GetTeacherDetail = urlFn('/api/kmt/correctSys/getTeacherDetail')
//  查看学生详情
const GetStudentDetail = urlFn('/api/kmt/correctSys/getStudentDetail')
//查看超级管理员校区列表
const SuperManagerList = urlFn('/api/kmt/correctSys/getManagerList')
//查看校区管理员详情
const GetManagerDetail = urlFn('/api/kmt/correctSys/getManagerDetail')
//校区管理员降级
const Downgrade = urlFn('/api/kmt/correctSys/downgrade')
//查看申请批改老师列表
const SuperApplyTeacherList = urlFn('/api/kmt/correctSys/applyTeacherList')
//申请审批操作
const ApplyOperate = urlFn('/api/kmt/correctSys/applyOperate')
//老师薪酬列表
const GetTeacherSalaryList = urlFn('/api/kmt/correctSys/getCorrectTeacherSalaryList')
// 处理在线批改老师（升级或封号或解封）
const DealCorrectTeacher = urlFn('/api/kmt/correctSys/dealCorrectTeacher')
// 可分配小组管理员列表
const GetAllotManagerList = urlFn('/api/kmt/correctSys/getAllotManagerList')
// 分配老师到管理员名下
const AllotTeacherToManager = urlFn('/api/kmt/correctSys/allotTeacherToManager')
// 作业回收站列表
const HomeworkRecoveryList = urlFn('/api/kmt/correctSys/homeworkRecoveryList')
// 获取提醒次数
const GetRemindCount = urlFn('/api/kmt/correctSys/getRemindCount')
// 报错警告
const errorWarning = urlFn('/api/kmt/correctSys/errorWarning')
// 报错详情
const errorDetail = urlFn('/api/kmt/correctSys/errorDetail')
// 退出登陆
const logout = urlFn('/api/kmt/login/logout')
// 质检前校验作业状态
const CheckHomeworkStatus = urlFn('/api/kmt/correctSys/checkHomeworkStatus')
// 管理员查看科目报表数据
const FindSubjectCharts = urlFn('/api/kmt/correctSys/findSubjectCharts')
// 匹配知识点老师薪酬列表
const GetKnowledgeTeacherSalaryList = urlFn('/api/kmt/correctSys/getKnowledgeTeacherSalaryList')
// 老师资料表
const AllTeacherInfoList = urlFn('/api/kmt/correctSys/allTeacherInfoList')
// 校区群管理员数据监控（知识点匹配老师）
const MonitorKnowTeacherList = urlFn('/api/kmt/correctSys/monitorKnowTeacherList')
// 数据监控某天(匹配知识点老师)
const MonitorKnowTeacherOneDayList = urlFn('/api/kmt/correctSys/monitorKnowTeacherOneDayList')
// 数据监控某月(匹配知识点老师)
const MonitorKnowTeacherOneMonthList = urlFn('/api/kmt/correctSys/monitorKnowTeacherOneMonthList')
// 未匹配作业列表
const UnmatchHomeworkList = urlFn('/api/kmt/correctSys/unmatchHomeworkList')
export {
    GET_TOKEN,
    GET_UUIONID_TOKEN,
    GET_VERIFICATION_CODE,
    GET_PHONE_TOKEN,
    GetInfo,
    InfoWatch,
    InfoWatchDay,
    InfoWatchMoth,
    TeacherHomeworkList,
    TeacherAllotList,
    TeacherAllot,
    UnallotHomeworkList,
    GetTeacherDetail,
    GetStudentDetail,
    SuperManagerList,
    GetManagerDetail,
    Downgrade,
    SuperApplyTeacherList,
    ApplyOperate,
    GetTeacherSalaryList,
    DealCorrectTeacher,
    GetAllotManagerList,
    AllotTeacherToManager,
    HomeworkRecoveryList,
	GetRemindCount,
    errorWarning,
    errorDetail,
    logout,
    CheckHomeworkStatus,
    FindSubjectCharts,
    GetKnowledgeTeacherSalaryList,
	AllTeacherInfoList,
    MonitorKnowTeacherList,
    MonitorKnowTeacherOneDayList,
    MonitorKnowTeacherOneMonthList,
    UnmatchHomeworkList,
}
